Index: unk/Param/paramA25C-run09-spinup
===================================================================
--- /trunk/Param/paramA25C-run09-spinup	(revision 233)
+++ 	(revision )
@@ -1,271 +1,0 @@
- !  Parametres du run :A25C-009    CISMA25
- !  sources dans  SOURCES
- 
-!___________________________________________________________
-&runpar                  ! nom du bloc  parametres du run
- 
- runname      =  "A25C-009"
- icompteur    =            1
- reprcptr     = "../Fichier-CPTR/A25C-003+k010.CPTR"
- num_tracebug  =          166
- comment_run   ="
- test avec sf=4.5 + seuil_vel=250 sur la valeur moy sf03=0.001 toblim=5000"
- /
-! runname    : nom de l experience (8 caracteres)  
-! icompteur  : reprise dans un fichier  0 -> non, 1 -> oui, 2 -> T et Hw
-! icompteur  : 3-> T seulement
-! reprcptr   : nom du fichier
-! itracebug: 1-> ecriture de traces au debut des routines
-! num_tracebug   numero d unite ecriture traces
-! comment_run: commentaire court sur le run
- 
-!___________________________________________________________
-&grdline                 ! bloc grounding line
- 
- igrdline     =            1
- /
-! igrdline :  1 ligne d echouage fixée, sinon 0
- 
-!___________________________________________________________
-&timesteps                 ! bloc time steps
- 
- tend      =    100000.0    
- tbegin    =   0.0000000E+00
- dtmin     =   2.0000001E-03
- dtmax     =   0.5000000    
- dtt       =    5.000000    
- testdiag  =   2.5000000E-02
- /
-! tous les temps en annees. tbegin et tend : debut et fin du run 
-! pour equation masse, pas de temps mini -> dtmin, maxi -> dtmax
-! dtt : pas de temps long
-! testdiag, pour gérer le pas de temps dynamique dt
-! ordres de grandeur (a moduler selon dx) : 
-! 40 km dtmin=2.e-2, dtmax=1., dtt=5., tesdiag=0.02
- 
-!___________________________________________________________
-!  module  lect_topo_ant_CISM        
- &TOPO_CISM_GEN
- TOPO_SURF       = Sgeoide-v0.5-0.4-corrected_ZBL_25km.dat                                                             ,
- CORREC_SURF     = OUT_diffdepth_HL-Pim-CISM_ZBL_25km.dat                                                              ,
- TOPO_THICK      = Hgeoide-v0.5-0.4-corrected_ZBL_25km.dat                                                             ,
- TOPO_BED        = Bgeoide-v0.5-0.4-corrected_ZBL_25km.dat                                                             ,
- MASK_GROUNDED   = masque-no-iceberg-25.dat                                                                            ,
- LONGITUDE       = longitude_ZBL_25km.dat                                                                              ,
- LATITUDE        = latitude_ZBL_25km.dat                                                                               ,
- HEATFLUX        = basal-heat-flux_ZBL_25km.dat                                                                        
- /
-!___________________________________________________________
-!___________________________________________________________
-!  module  lect_topo_ant_CISM      
- &CLIMAT_CISM_GEN
- PRECIP_FILE     = present-precipitation_ZBL_25km.dat                                                                  
- /
-!___________________________________________________________
-!___________________________________________________________
-&clim_pert                      ! module climat_perturb_mod 
- 
- coefT        =    1.000000    
- rappact      =   5.0000001E-02
- rretroac     =            1
- rapbmshelf   =    5.000000    
- mincoefbmelt =   0.0000000E+00
- maxcoefbmelt =    2.000000    
- filforc      = forcage-900k-2007-Parrenin-Bassinot.dat                                         
- /
- 
- !___________________________________________________________
- !             module ablation_ann     PDD base Tann et Tjuly
- &ABLATION_ANN
- CICE    =  8.0000004E-03,
- CSNOW   =  4.9999999E-03,
- CSI     =  0.6000000    ,
- SIGMA   =   5.000000    
- /
- 
- 
- ! Cice and Csnow, melting factors for ice and snow 
- ! sigma variabilite Tday
- ! csi proportion of melted water that can refreeze 
-!___________________________________________________________
-&eaubasale1              ! nom du premier bloc eau basale 
- 
- ecoulement_eau =  T
- hwatermax      =    5000.000    
- infiltr        =   1.0000000E-03
- /
-! ecoulement eau : .false. -> modele bucket, sinon equ. diffusion
-! hwatermax :  hauteur d eau basale maximum dans le sediment (m)
-! infiltr est la quantite d eau qui peut s infiltrer dans le sol (m/an)
- 
-!___________________________________________________________
-&param_hydr             ! nom du  bloc parametres hydrauliques 
- 
- hmax_till      =    20.00000    
- poro_till      =   0.5000000    
- kond0          =   1.0000000E-06
- /
-! hmax_till (m) : epaisseur max du sediment 
-! poro_till : porosite du sediment 
-! conductivite du sediment :  kond0 (m/s)
- 
- calcul des temperatures
- nfracq=           1
- chaleur demi maille, iq=           1
- 
-  si base froide, la chaleur de glissement est en exp(delta T * ecart_phid)
- ecart_phid=  0.5000000    
- ---------------------------------------------------------------------------
- &BMELT_SEUIL
- BM_GRZ  =   3.000000    ,
- BMSHELF_PLATEAU =  0.4000000    ,
- BMSHELF_ABYSSES =   10.00000    ,
- DEPTH_TALUS     =  -3000.000    
- /
-!___________________________________________________________
-&bmelt_seuil                     ! module  bmelt_seuil_prof
- bm_grz           =   3.000000    
- bmshelf_plateau  =  0.4000000    
- bmshelf_abysses  =   10.00000    
- depth_talus      =  -3000.000    
- /
-! Pour l actuel : bm_grz a la grounding line
-!                 bmshelf_plateau sur le plateau continental
-!                 bmshelf_abysses pour les grandes profondeurs
-!       depth_talus, negative, separation entre les 2 domaines
- 
-!___________________________________________________________
- !___________________________________________________________
- ! loi de deformation 1          module deformation_mod_2lois
- 
- &LOIDEF_1
- EXPOSANT_1      =   3.000000    ,
- TEMP_TRANS_1    =  -6.500000    ,
- ENHANC_FACT_1   =   4.500000    ,
- COEF_COLD_1     =  1.6599999E-16,
- Q_COLD_1        =   78200.00    ,
- COEF_WARM_1     =  2.0000000E-16,
- Q_WARM_1        =   95450.00    
- /
- ! exposant (glen), temperature de transition (ttrans)
- ! enhancement factor (sf)
- ! pour les temperatures inf. a Temp_trans :
- !                            coef_cold (Bat1) et Q_cold (Q1)
- ! pour les temperatures sup. a Temp_trans :
- !                            coef_warm (Bat2) et Q_warm (Q2)
- !___________________________________________________________
- !___________________________________________________________
- ! loi de deformation 2          module deformation_mod_2lois
- 
- &LOIDEF_2
- EXPOSANT_2      =   1.000000    ,
- TEMP_TRANS_2    =  -10.00000    ,
- ENHANC_FACT_2   =   1.000000    ,
- COEF_COLD_2     =  8.3129997E-08,
- Q_COLD_2        =   40000.00    ,
- COEF_WARM_2     =  8.3129997E-08,
- Q_WARM_2        =   60000.00    
- /
- ! exposant (glen), temperature de transition (ttrans)
- ! enhancement factor (sf)
- ! pour les temperatures inf. a Temp_trans :
- !                            coef_cold (Bat1) et Q_cold (Q1)
- ! pour les temperatures sup. a Temp_trans :
- !                            coef_warm (Bat2) et Q_warm (Q2)
- !___________________________________________________________
-!___________________________________________________________
-& meca_SIA_L1             ! bloc resol_meca 
- 
- i_resolmeca =            2
- /
-! i_resolmeca type d association entre SIA et L1
-! i_resolmeca=0  chacun dans sa zone
-! i_resolmeca=1  dans les zones stream, addition si uxdef > uxL1 (MIS11 Cairns)
-! i_resolmeca=2  addition systematique dans les zones stream 
- 
-!___________________________________________________________
-&diagno_rheol              ! nom du bloc  diagno_rheol
- 
- sf01           =   0.2000000    
- sf03           =   1.0000000E-03
- pvimin         =    1000.000    
- /
-! coefficients par rapport a la loi glace posee 
-! sf01 : coefficient viscosite loi lineaire 
-! sf03 : coefficient viscosite loi n=3 
-! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
-! tres petit par rapport aux valeurs standards ~ 1.e10
- 
- !___________________________________________________________
- ! glissement                   module  sliding_Bindschadler 
- 
- &SLID_BINDSH
- KWEERT  =  5.0000001E-11,
- LOIGLISS        =           2,
- COEFBMAX        =   10.00000    
- /
- ! kweert : coefficent, loigliss le type de loi
- ! coefbmax : facteur de normalisation pour influence eau
- !___________________________________________________________
-!___________________________________________________________
-! module dragging_vit_bil_CISM_gen 
- &DRAG_VIT_BIL_CISM_GEN
- HWATSTREAM      =   50.00000    ,
- CF      =  9.9999997E-06,
- TOBMAX  =   5000.000    ,
- TOBLIM  =   70000.00    ,
- SEUIL_VEL       =   250.0000    ,
- BALANCE_VEL_FILE        = balance-vel_ZBL_25km.dat                                                                            
- /
-! hwatstream (m) :  critere de passage en stream vitesses de bilan
-!  si hwater > hwatstream 
-! cf coefficient de la loi de frottement fonction Neff
-! seulement pour les points cotiers
-! tobmax : (Pa) frottement maxi sous les streams 
-! toblim : (Pa)  pour les iles 
-! seuil_vel (m/an) : seuil sur les vitesses pour definir le masque stream 
-! balance_vel_file : nom du fichier qui contient les vitesse de bilan
- 
- Conservation de la masse avec equation advection-diffusion 
- la repartition depend de adv_frac
- >1  -> advection seule
- 0   -> diffusion seule
- 0<*<1   -> fraction de l advection
- -1 -> zones diffusion + zones advecttion
- adv_frac=   2.000000    
- partie diffusive
- le type de schema temporel diffusif depend de omega
- 0 -> explicite, 0.5 -> Crank-Nicolson
- 1 -> semi implicite,  >1 -> over-implicite
- omega =    2.500000    
- 
- partie advective
-  le schéma temporel advectif dépend de mu
- 0 -> explicite, 0.5 -> Crank-Nicolson
- 1 -> semi implicite,  >1 -> over-implicite
- mu_adv =    1.000000    
-  le schéma spatial dépend de upwind
- 1 -> schema upwind,  0.5 -> schema centre
- upwind =    1.000000    
- ------------------------------------------------------
-!___________________________________________________________
-&calving              ! nom du bloc calving méthode Vincent 
- 
- Hcoup      =    250.0000    
- ifrange    =            4
- meth_hcoup =            0
- /
-! Hcoup epaisseur de coupure, le max si attache a coefbmshelf 
-! ifrange=0 -> pas de traitement particulier sur les bords
-! ifrange=1 -> traitement de Vincent avec ice shelves frangeants partout
-! ifrange=2 -> ice shelves frangeants seulement si bm-bmelt positif
- ! meth_hcoup pour faire eventuellement varier Hcoup avec le climat
- ! Hcoup_min=   100.0000    
- 
-!___________________________________________________________
-&netcdf                 ! bloc netcdf
- 
- dtncdf    =    1000.000    
- /
-! dtncdf espace en temps entre les sorties 
- 
Index: unk/Param/paramci15ref1
===================================================================
--- /trunk/Param/paramci15ref1	(revision 233)
+++ 	(revision )
@@ -1,291 +1,0 @@
- !  Parametres du run :ci15ref1    greeneem15
- !  sources dans  SOURCES
- 
-!___________________________________________________________
-&runpar                  ! nom du bloc  parametres du run
- 
- runname      =  "ci15ref1"
- icompteur    =            0
- iout    =            1
- reprcptr     = "../Fichier-CPTR/ci15int1.CPTR"
- num_tracebug  =          166
- comment_run   ="neem v43. statio. nv mk str. rapp 0.05. tob 1000. clim CISM"
- /
-! runname    : nom de l experience (8 caracteres)  
-! icompteur  : reprise dans un fichier  0 -> non, 1 -> oui, 2 -> T et Hw
-! icompteur  : 3-> T seulement
-! iout   : 1-> sortie cptr pour reprise,2 -> sortie nc pour reprise 
-! reprcptr   : nom du fichier
-! itracebug: 1-> ecriture de traces au debut des routines
-! num_tracebug   numero d unite ecriture traces
-! comment_run: commentaire court sur le run
- 
-!___________________________________________________________
-&grdline                 ! bloc grounding line
- 
- igrdline     =            0
- /
-! igrdline :  1 ligne d echouage fixée, sinon 0
- 
-!___________________________________________________________
-&timesteps                 ! bloc time steps
- 
- tend      =   0.0000000E+00
- tbegin    =   -40000.00    
- dtmin     =   2.0000001E-03
- dtmax     =    1.000000    
- dtt       =    5.000000    
- testdiag  =   2.5000000E-02
- /
-! tous les temps en annees. tbegin et tend : debut et fin du run 
-! pour equation masse, pas de temps mini -> dtmin, maxi -> dtmax
-! dtt : pas de temps long
-! testdiag, pour gérer le pas de temps dynamique dt
-! ordres de grandeur (a moduler selon dx) : 
-! 40 km dtmin=2.e-2, dtmax=1., dtt=5., tesdiag=0.02
- 
-!___________________________________________________________
-&toponeen                     ! module lect_topo_greeneem
-topo_ref  =groen_grisli_15km.dat                                                                               
-topo_dep  =groen_grisli_15km.dat                                                                               
-grid_topo =groen_grisli_grid_xylonlat_15km.dat                                                                 
- ghf0      =
- ghf_cism_15km.dat                                                              
-                      
- /
-! topo_ref= topo actuelle
-! ghf0 flux geothermique en mW/m2
- 
-!___________________________________________________________
-&clim_perturb_mois                            ! module climat_perturb_mois_mod
-filtr_topo =surface_grisli_15km.dat                                                                                                                                                                                 
-filtr_t =CNRM_3.3_tt_80-99_15km.dat                                                                                                                                                                              
-filtr_p =precipes_cism_v1.1_15km.dat                                                                                                                                                                             
- /
-! fichiers temperature et precip : 12 mois
-! faire un bloc namelist par snapshot
- 
-!___________________________________________________________
-&lapse_month                                          ! module climat_perturb_mois_mod
-filtr_lr =climato_actu_grad-temp_15km.dat                                                                                                                                                                         
- /
-! lapse rates janvier -> decembre en deg/m
- 
-!___________________________________________________________
-&clim_pert                      ! module climat_perturb_mod 
- 
- coefT        =    1.000000    
- rappact      =   5.0000001E-02
- rretroac     =            1
- rapbmshelf   =    5.000000    
- mincoefbmelt =   0.0000000E+00
- maxcoefbmelt =    2.000000    
- filforc      = forc_traceurs-stationnaire.dat                                                  
- /
- 
- !___________________________________________________________
- !              ablation_month     PDD base Tann et Tjuly
- &ABLATION_MONTH
- CICE    =  8.0000004E-03,
- CSNOW   =  4.9999999E-03,
- CSI     =  0.6000000    ,
- SIGMA   =   5.000000    
- /
- 
- 
- ! Cice and Csnow, melting factors for ice and snow 
- ! sigma variabilite Tday
- ! csi proportion of melted water that can refreeze 
-!___________________________________________________________
-&tracer                                    ! module tracer_mod
-tracer .dat file : ../INPUT/tracer.dat                                         
-tracer .out file : ../RESULTATS/tracer.out                                     
-tracer dep. file : ../RESULTATS/deparchive.out                                 
- /
-declaration des repertoires *traceurs*
- 
-!___________________________________________________________
-&eaubasale1              ! nom du premier bloc eau basale 
- 
- ecoulement_eau =  T
- hwatermax      =    5000.000    
- infiltr        =   1.0000000E-03
- /
-! ecoulement eau : .false. -> modele bucket, sinon equ. diffusion
-! hwatermax :  hauteur d eau basale maximum dans le sediment (m)
-! infiltr est la quantite d eau qui peut s infiltrer dans le sol (m/an)
- 
-!___________________________________________________________
-&param_hydr             ! nom du  bloc parametres hydrauliques 
- 
- hmax_till      =    20.00000    
- poro_till      =   0.5000000    
- kond0          =   1.0000000E-06
- /
-! hmax_till (m) : epaisseur max du sediment 
-! poro_till : porosite du sediment 
-! conductivite du sediment :  kond0 (m/s)
- 
- Calcul Des Temperatures
- Nfracq=           1
- Chaleur Demi Maille, Iq=           1
- 
-  Si Base Froide, La Chaleur De Glissement Est En Exp(Delta T * Ecart_phid)
- Ecart_phid=  0.5000000    
- ---------------------------------------------------------------------------
- &BMELT_SEUIL
- BM_GRZ  =   3.000000    ,
- BMSHELF_PLATEAU =   1.000000    ,
- BMSHELF_ABYSSES =   10.00000    ,
- DEPTH_TALUS     =  -2000.000    
- /
-!___________________________________________________________
-&bmelt_seuil                     ! module  bmelt_seuil_prof
- bm_grz           =   3.000000    
- bmshelf_plateau  =   1.000000    
- bmshelf_abysses  =   10.00000    
- depth_talus      =  -2000.000    
- /
-! Pour l actuel : bm_grz a la grounding line
-!                 bmshelf_plateau sur le plateau continental
-!                 bmshelf_abysses pour les grandes profondeurs
-!       depth_talus, negative, separation entre les 2 domaines
- 
-!___________________________________________________________
- !___________________________________________________________
- ! loi de deformation 1          module deformation_mod_2lois
- 
- &LOIDEF_1
- EXPOSANT_1      =   3.000000    ,
- TEMP_TRANS_1    =  -6.500000    ,
- ENHANC_FACT_1   =   3.000000    ,
- COEF_COLD_1     =  1.6599999E-16,
- Q_COLD_1        =   78200.00    ,
- COEF_WARM_1     =  2.0000000E-16,
- Q_WARM_1        =   95450.00    
- /
- ! exposant (glen), temperature de transition (ttrans)
- ! enhancement factor (sf)
- ! pour les temperatures inf. a Temp_trans :
- !                            coef_cold (Bat1) et Q_cold (Q1)
- ! pour les temperatures sup. a Temp_trans :
- !                            coef_warm (Bat2) et Q_warm (Q2)
- !___________________________________________________________
- !___________________________________________________________
- ! loi de deformation 2          module deformation_mod_2lois
- 
- &LOIDEF_2
- EXPOSANT_2      =   1.000000    ,
- TEMP_TRANS_2    =  -10.00000    ,
- ENHANC_FACT_2   =   1.000000    ,
- COEF_COLD_2     =  8.3129997E-08,
- Q_COLD_2        =   40000.00    ,
- COEF_WARM_2     =  8.3129997E-08,
- Q_WARM_2        =   60000.00    
- /
- ! exposant (glen), temperature de transition (ttrans)
- ! enhancement factor (sf)
- ! pour les temperatures inf. a Temp_trans :
- !                            coef_cold (Bat1) et Q_cold (Q1)
- ! pour les temperatures sup. a Temp_trans :
- !                            coef_warm (Bat2) et Q_warm (Q2)
- !___________________________________________________________
-!___________________________________________________________
-& meca_SIA_L1             ! bloc resol_meca 
- 
- i_resolmeca =            2
- /
-! i_resolmeca type d association entre SIA et L1
-! i_resolmeca=0  chacun dans sa zone
-! i_resolmeca=1  dans les zones stream, addition si uxdef > uxL1 (MIS11 Cairns)
-! i_resolmeca=2  addition systematique dans les zones stream 
- 
-!___________________________________________________________
-&diagno_rheol              ! nom du bloc  diagno_rheol
- 
- sf01           =   0.1250000    
- sf03           =   0.1250000    
- pvimin         =    1000.000    
- /
-! coefficients par rapport a la loi glace posee 
-! sf01 : coefficient viscosite loi lineaire 
-! sf03 : coefficient viscosite loi n=3 
-! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
-! tres petit par rapport aux valeurs standards ~ 1.e10
- 
- !___________________________________________________________
- ! glissement                   module  sliding_Bindschadler 
- 
- &SLID_BINDSH
- KWEERT  =  5.0000001E-11,
- LOIGLISS        =           2,
- COEFBMAX        =   10.00000    
- /
- ! kweert : coefficent, loigliss le type de loi
- ! coefbmax : facteur de normalisation pour influence eau
- !___________________________________________________________
- !___________________________________________________________
- !        spinup          module no_spinup               
- &SPINUP
- ISPINUP =           1
- /
- 
- 
- ! ispinup = 0     run standard
- ! ispinup = 1     equilibre temperature avec vitesses grisli 
- ! ispinup = 2     conservation de la masse avec vitesses bilan 
- ! ispinup = 3     equilibre temperature avec vitesses bilan
- 
-!___________________________________________________________
-! module dragging_neem 
- &DRAG_NEEM
- HWATSTREAM      =   50.00000    ,
- CF      =  9.9999997E-06,
- TOBMAX  =   500.0000    ,
- TOBLIM  =   70000.00    ,
- MASQUE_STREAM   = mstream_15k.dat                                                                                     
- /
-! hwatstream (m) :  critere de passage en stream vitesses de bilan
-!  si hwater > hwatstream 
-! cf coefficient de la loi de frottement fonction Neff
-! seulement pour les points cotiers
-! tobmax : (Pa) frottement maxi sous les streams 
-! toblim : (Pa)  pour les iles 
-! masque_stream : nom du fichier qui contient le masque de streams autorises
- 
- Conservation de la masse avec equation advection-diffusion 
- la repartition depend de adv_frac
- >1  -> advection seule
- 0   -> diffusion seule
- 0<*<1   -> fraction de l advection
- -1 -> zones diffusion + zones advecttion
- adv_frac=   2.000000    
- partie diffusive
- le type de schema temporel diffusif depend de omega
- 0 -> explicite, 0.5 -> Crank-Nicolson
- 1 -> semi implicite,  >1 -> over-implicite
- omega =    2.500000    
- 
- partie advective
-  le schéma temporel advectif dépend de mu
- 0 -> explicite, 0.5 -> Crank-Nicolson
- 1 -> semi implicite,  >1 -> over-implicite
- mu_adv =    1.000000    
-  le schéma spatial dépend de upwind
- 1 -> schema upwind,  0.5 -> schema centre
- upwind =    1.000000    
- ------------------------------------------------------
-!___________________________________________________________
-&calving              ! nom du bloc calving méthode Vincent 
- 
- Hcoup      =    250.0000    
- ifrange    =            4
- meth_hcoup =            0
- /
-! Hcoup epaisseur de coupure, le max si attache a coefbmshelf 
-! ifrange=0 -> pas de traitement particulier sur les bords
-! ifrange=1 -> traitement de Vincent avec ice shelves frangeants partout
-! ifrange=2 -> ice shelves frangeants seulement si bm-bmelt positif
- ! meth_hcoup pour faire eventuellement varier Hcoup avec le climat
- ! Hcoup_min=   100.0000    
- 