Index: trunk/SOURCES/Fichiers-parametres/hemin40_LISTE-VAR-NETCDF.dat
===================================================================
--- trunk/SOURCES/Fichiers-parametres/hemin40_LISTE-VAR-NETCDF.dat	(revision 34)
+++ trunk/SOURCES/Fichiers-parametres/hemin40_LISTE-VAR-NETCDF.dat	(revision 242)
@@ -118,5 +118,5 @@
 Acc		
 11	
-1	4	1				
+1	1	1				
 -----------------------------------------------------------
 Abl		
@@ -126,9 +126,9 @@
 Calv		
 13
-0	1	1				
+1	1	1				
 -----------------------------------------------------------
 dHdt		
 14
-0	1	1			
+1	1	1			
 -----------------------------------------------------------
 Tann		
@@ -238,17 +238,21 @@
 epsxx	        !'o'	
 45
-1	3	-1					
+1	1	1					
 -----------------------------------------------------------
 epsyy	        !'o'	
 46
-1	3	-1					
+1	1	1					
 -----------------------------------------------------------
 epsxy	        !'x'	
 47
-1	3	1					
+1	1	1					
 -----------------------------------------------------------
 eps	        'o'	
 48
-1	3	1					
+1	1	1					
+-----------------------------------------------------------
+Abar             'o'
+49
+1       1       1
 -----------------------------------------------------------
 pvi	         ! 'o'	
@@ -271,4 +275,24 @@
 54
 1	1	1					
+-----------------------------------------------------------
+ablbord
+55
+1       1       1
+-----------------------------------------------------------
+ice
+56
+1       1       1
+-----------------------------------------------------------
+front
+57
+1       1       1
+-----------------------------------------------------------
+tot_water
+58
+1       1       1
+-----------------------------------------------------------
+gr_line
+59
+1       1       1
 -----------------------------------------------------------
 Hwat		
@@ -290,5 +314,5 @@
 Kond		
 64
-0	1	1					
+1	1	1					
 -----------------------------------------------------------
 phx		
@@ -300,4 +324,8 @@
 0	1	1					
 -----------------------------------------------------------
+marais		
+67
+1	1	1					
+-----------------------------------------------------------
 Nefmx		
 68
@@ -306,5 +334,5 @@
 Nefmy		
 69
-1	2	1					
+1	1	1					
 -----------------------------------------------------------
 posx		
@@ -326,9 +354,9 @@
 H_uw_x
 192
-1	1	1
+0	1	1
 -----------------------------------------------------------
 H_uw_y
 193
-1	1	1
+0	1	1
 -----------------------------------------------------------		
 ============================================ classe 3 
@@ -388,9 +416,20 @@
 0	0	0 	
 -----------------------------------------------------------
+calv
+87
+1       1       1
+-----------------------------------------------------------
+ablbord
+88
+1       1       1
+-----------------------------------------------------------
+
+
+
 !! Variables 3 D a ajouter
 !! SA, S2A,SA_mx,S2A_mx,SA_my,S2A_my
 
 ============================================ classe 4 
-4       20     4   !class 4 nombre de snapmax 100 4 type de noeud
+4       100     4   !class 4 nombre de snapmax 100 4 type de noeud
 'o' 	'>'    	  '^'  	    'x'
 -----------------------------------------------------------
@@ -421,17 +460,17 @@
 pot_w		
 105	
-0	1	-1					
+1	1	1					
 -----------------------------------------------------------
 pot_f		
 106	
-0	1	-1					
+1	1	1					
 -----------------------------------------------------------
 pot_tot		
 107
-0	1	-1				
+1	1	1				
 -----------------------------------------------------------
 pot_hw		
 108
-0	1	-1					
+1	1	1					
 -----------------------------------------------------------
 uxdef		
@@ -633,9 +672,9 @@
 i_hp	   	
 185 											
-1	1	1			
+0	1	1			
 -----------------------------------------------------------
 hp	   	
 186 											
-1	1	1			
+0	1	1			
 -----------------------------------------------------------
 coefdef_mx	
@@ -646,32 +685,48 @@
 162
 0	1	1
------------------------------------------------------------		
+-----------------------------------------------------------
+back_x
+164
+1       1       1
+-----------------------------------------------------------
+back_y
+165
+1       1       1
+-----------------------------------------------------------
+schoof_x
+166
+1       1       1
+-----------------------------------------------------------
+schoof_y
+167
+1       1       1
+-----------------------------------------------------------
 Vslmag	
 168
-1	1	1
+0	1	1
 -----------------------------------------------------------
 Vsl_x		
 169
-1	1	1					
+0	1	1					
 -----------------------------------------------------------
 Vsl_y	
 170
-1	1	1
+0	1	1
 -----------------------------------------------------------
 stress_x		
 182
-1	1	1					
+0	1	1					
 -----------------------------------------------------------
 stress_y
 183
-1	1	1
+0	1	1
 -----------------------------------------------------------
 S2a_law1
 190
-1	1	1
+0	1	1
 -----------------------------------------------------------
 S2a_law2
 191
-1	1	1
+0	1	1
 -----------------------------------------------------------
 ============================================ classe 5
@@ -697,9 +752,77 @@
 Vcol_x		
 159
-1	0	-1					
+0	0	0					
 -----------------------------------------------------------
 Vcol_y	
 160
-1	0	-1
+0	0	0
+-----------------------------------------------------------
+acabf
+206
+1	1	1
+-----------------------------------------------------------
+libmassbf
+207
+1	1	1
+-----------------------------------------------------------
+dlithkdt
+208
+1	1	1
+-----------------------------------------------------------
+licalvf
+209
+1	1	1
+-----------------------------------------------------------
+ligroundf
+210
+1	1	1
+-----------------------------------------------------------
+uvelsurf
+211
+1	1	1
+-----------------------------------------------------------
+vvelsurf
+212
+1	1	1
+-----------------------------------------------------------
+wvelsurf
+213
+1	1	1
+-----------------------------------------------------------
+uvelbase
+214
+1	1	1
+-----------------------------------------------------------
+vvelbase
+215
+1	1	1
+-----------------------------------------------------------
+wvelbase
+216
+1	1	1
+-----------------------------------------------------------
+strbasemag
+217
+1	1	1
+-----------------------------------------------------------
+sftgrf
+218
+1	1	1
+-----------------------------------------------------------
+sftflf
+219
+1	1	1
+-----------------------------------------------------------
+litempbot
+220
+0	0	0
+-----------------------------------------------------------
+tacheg
+221
+1	1	1
+-----------------------------------------------------------
+tachem
+222
+1	1	1
 -----------------------------------------------------------
 					