Index: branches/GRISLIv3/SOURCES/Makefile.grisli.inc
===================================================================
--- branches/GRISLIv3/SOURCES/Makefile.grisli.inc	(revision 370)
+++ branches/GRISLIv3/SOURCES/Makefile.grisli.inc	(revision 371)
@@ -125,5 +125,5 @@
 	icetemp_mod.o \
 	initial-0.3.o initial-phy-2.o initial2-0.4.o \
-	lect-eis.o  readinput.o lect_datfile.o write_datfile.o \
+	readinput.o lect_datfile.o \
 	out_cptr_mod.o lineartemp-0.2.o  litho-0.4.o main3D-0.4-40km.o masque.o \
 	moy_mxmy.o neffect-0.4.o next-time.o \
Index: branches/GRISLIv3/SOURCES/lect-eis.f90
===================================================================
--- branches/GRISLIv3/SOURCES/lect-eis.f90	(revision 370)
+++ 	(revision )
@@ -1,67 +1,0 @@
-!> \file lect-eis.F
-!! Module pour la lecture des donnees
-!<
-
-!> SUBROUTINE: lect_eis
-!! Lecture des coupes
-!! \author ...
-!! \date ...
-!! @param  nx                dimension along x
-!! @param  ny                dimension along y
-!! @param  data              array for reading
-!! @param  filin             
-!! @param  dirnameinp           
-!! @return data              the value of Tab(nxx,nyy): Warning it is a real
-
-      
-subroutine lect_eis(nx,ny,data,filin,DIRNAMEINP)
-
-  implicit none
-  character(len=20)  :: DIRNAMEINP
-  integer nx,ny,i,j,kdum
-  real data(nx,ny)
-  character(len=80) :: title,fmt
-  character(len=80) :: filin
-
-  integer :: num_coupe = 11
-
-  filin = TRIM(DIRNAMEINP)//TRIM(filin)
-
-
-  open(num_coupe,file=filin)
-
-  read(num_coupe,'(A80)') title
-  read(num_coupe,'(A80)') fmt
-
-  do J=1,NY
-     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
-  end do
-
-  close(num_coupe)
-  return
-end subroutine lect_eis
-
-subroutine lect_ieis(nx,ny,data,filin,DIRNAMEINP)
-
-  implicit none
-  character(len=17)  :: DIRNAMEINP
-  integer nx,ny,i,j,kdum
-  integer data(nx,ny)
-  character(len=80) :: title,fmt
-  character(len=80) :: filin
-
-  integer :: num_coupe = 11
-  filin = TRIM(DIRNAMEINP)//TRIM(filin)
-
-  open(num_coupe,file=filin)
-
-  read(num_coupe,'(A80)') title
-  read(num_coupe,'(A80)') fmt
-
-  do J=1,NY
-     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
-  end do
-
-  close(num_coupe)
-  return
-end subroutine lect_ieis
Index: branches/GRISLIv3/SOURCES/write_datfile.f90
===================================================================
--- branches/GRISLIv3/SOURCES/write_datfile.f90	(revision 370)
+++ 	(revision )
@@ -1,67 +1,0 @@
-!> \file write_datfile.f90
-!! Fiel to write a ZBL file (strating from bottom left)
-!<
-
-!> SUBROUTINE: write_datfile2
-!! ecriture of a ZBL file (starting from bottom left)
-!! @param  nxx                dimension along x
-!! @param  nyy                dimension along y
-!! @param  numcol             column number
-!! @param  filename           
-!! @return Tab                the value of Tab(nxx,nyy): Warning it is a real
-
-subroutine write_datfile2(nxx,nyy,Tab1,Tab2,filename)
-
-implicit none
-integer,intent(in)  :: nxx                    !< dimension along x
-integer,intent(in)  :: nyy                    !< dimension along y
-character(len=80),intent(in) :: filename      !< name of the file
-real,dimension(nxx,nyy),intent(in) :: Tab1   !< the array that is writen
-real,dimension(nxx,nyy),intent(in) :: Tab2   !< the array that is writen
-
-
-integer  :: i,j                ! working integers
-
-open(22,file=trim(filename))
-write(22,*) nxx,nyy  !, xmin,xmax,ymin,ymax ?
-do j=1,nyy
-   do i=1,nxx
-      write(22,*) Tab1(i,j),Tab2(i,j)
-   end do
-end do
-
-
-close(22)
-return
-end subroutine write_datfile2
-!> SUBROUTINE: write_datfile3
-!! ecriture of a ZBL file (starting from bottom left)
-!! @param  nxx                dimension along x
-!! @param  nyy                dimension along y
-!! @param  numcol             column number
-!! @param  filename           
-!! @return Tab   
-subroutine write_datfile3(nxx,nyy,Tab1,Tab2,Tab3,filename)
-
-implicit none
-integer,intent(in)  :: nxx                    !< dimension along x
-integer,intent(in)  :: nyy                    !< dimension along y
-character(len=80),intent(in) :: filename      !< name of the file
-real,dimension(nxx,nyy),intent(in) :: Tab1   !< the array that is writen
-real,dimension(nxx,nyy),intent(in) :: Tab2   !< the array that is writen
-real,dimension(nxx,nyy),intent(in) :: Tab3   !< the array that is writen
-
-integer  :: i,j                ! working integers
-
-open(22,file=trim(filename))
-write(22,*) nxx,nyy  !, xmin,xmax,ymin,ymax ?
-do j=1,nyy
-   do i=1,nxx
-      write(22,*) Tab1(i,j),Tab2(i,j),Tab3(i,j)
-   end do
-end do
-
-
-close(22)
-return
-end subroutine write_datfile3
Index: branches/GRISLIv3/TRASH-SOURCES/lect-eis.f90
===================================================================
--- branches/GRISLIv3/TRASH-SOURCES/lect-eis.f90	(revision 371)
+++ branches/GRISLIv3/TRASH-SOURCES/lect-eis.f90	(revision 371)
@@ -0,0 +1,67 @@
+!> \file lect-eis.F
+!! Module pour la lecture des donnees
+!<
+
+!> SUBROUTINE: lect_eis
+!! Lecture des coupes
+!! \author ...
+!! \date ...
+!! @param  nx                dimension along x
+!! @param  ny                dimension along y
+!! @param  data              array for reading
+!! @param  filin             
+!! @param  dirnameinp           
+!! @return data              the value of Tab(nxx,nyy): Warning it is a real
+
+      
+subroutine lect_eis(nx,ny,data,filin,DIRNAMEINP)
+
+  implicit none
+  character(len=20)  :: DIRNAMEINP
+  integer nx,ny,i,j,kdum
+  real data(nx,ny)
+  character(len=80) :: title,fmt
+  character(len=80) :: filin
+
+  integer :: num_coupe = 11
+
+  filin = TRIM(DIRNAMEINP)//TRIM(filin)
+
+
+  open(num_coupe,file=filin)
+
+  read(num_coupe,'(A80)') title
+  read(num_coupe,'(A80)') fmt
+
+  do J=1,NY
+     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
+  end do
+
+  close(num_coupe)
+  return
+end subroutine lect_eis
+
+subroutine lect_ieis(nx,ny,data,filin,DIRNAMEINP)
+
+  implicit none
+  character(len=17)  :: DIRNAMEINP
+  integer nx,ny,i,j,kdum
+  integer data(nx,ny)
+  character(len=80) :: title,fmt
+  character(len=80) :: filin
+
+  integer :: num_coupe = 11
+  filin = TRIM(DIRNAMEINP)//TRIM(filin)
+
+  open(num_coupe,file=filin)
+
+  read(num_coupe,'(A80)') title
+  read(num_coupe,'(A80)') fmt
+
+  do J=1,NY
+     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
+  end do
+
+  close(num_coupe)
+  return
+end subroutine lect_ieis
Index: branches/GRISLIv3/TRASH-SOURCES/write_datfile.f90
===================================================================
--- branches/GRISLIv3/TRASH-SOURCES/write_datfile.f90	(revision 371)
+++ branches/GRISLIv3/TRASH-SOURCES/write_datfile.f90	(revision 371)
@@ -0,0 +1,67 @@
+!> \file write_datfile.f90
+!! Fiel to write a ZBL file (strating from bottom left)
+!<
+
+!> SUBROUTINE: write_datfile2
+!! ecriture of a ZBL file (starting from bottom left)
+!! @param  nxx                dimension along x
+!! @param  nyy                dimension along y
+!! @param  numcol             column number
+!! @param  filename           
+!! @return Tab                the value of Tab(nxx,nyy): Warning it is a real
+
+subroutine write_datfile2(nxx,nyy,Tab1,Tab2,filename)
+
+implicit none
+integer,intent(in)  :: nxx                    !< dimension along x
+integer,intent(in)  :: nyy                    !< dimension along y
+character(len=80),intent(in) :: filename      !< name of the file
+real,dimension(nxx,nyy),intent(in) :: Tab1   !< the array that is writen
+real,dimension(nxx,nyy),intent(in) :: Tab2   !< the array that is writen
+
+
+integer  :: i,j                ! working integers
+
+open(22,file=trim(filename))
+write(22,*) nxx,nyy  !, xmin,xmax,ymin,ymax ?
+do j=1,nyy
+   do i=1,nxx
+      write(22,*) Tab1(i,j),Tab2(i,j)
+   end do
+end do
+
+
+close(22)
+return
+end subroutine write_datfile2
+!> SUBROUTINE: write_datfile3
+!! ecriture of a ZBL file (starting from bottom left)
+!! @param  nxx                dimension along x
+!! @param  nyy                dimension along y
+!! @param  numcol             column number
+!! @param  filename           
+!! @return Tab   
+subroutine write_datfile3(nxx,nyy,Tab1,Tab2,Tab3,filename)
+
+implicit none
+integer,intent(in)  :: nxx                    !< dimension along x
+integer,intent(in)  :: nyy                    !< dimension along y
+character(len=80),intent(in) :: filename      !< name of the file
+real,dimension(nxx,nyy),intent(in) :: Tab1   !< the array that is writen
+real,dimension(nxx,nyy),intent(in) :: Tab2   !< the array that is writen
+real,dimension(nxx,nyy),intent(in) :: Tab3   !< the array that is writen
+
+integer  :: i,j                ! working integers
+
+open(22,file=trim(filename))
+write(22,*) nxx,nyy  !, xmin,xmax,ymin,ymax ?
+do j=1,nyy
+   do i=1,nxx
+      write(22,*) Tab1(i,j),Tab2(i,j),Tab3(i,j)
+   end do
+end do
+
+
+close(22)
+return
+end subroutine write_datfile3